<dx-data-grid class="gridContainer box-shadow" #gridAgency [columnAutoWidth]='true' [allowColumnResizing]='true'
    [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
    [showRowLines]='ui.showRowLines' [dataSource]='dsAgency' [height]="ui.fullHeight" (onToolbarPreparing)='toolbarPreparing($event)'>
    <dxo-export [enabled]='true' fileName='agency'></dxo-export>
    <dxo-header-filter [visible]='true'></dxo-header-filter>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
    <dxo-search-panel [visible]='true'></dxo-search-panel>

    <dxi-column caption='Denumire' dataField='a_name' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column caption='Județ' dataField='co_name' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column caption='Localitate' dataField='loc_name' dataType='number' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column caption='Adresa' dataField='a_address' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column caption='Contact' dataField='a_contactInfo' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column type="buttons" fixedPosition='left' width='110' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false'>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditAgencyClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteAgencyClick"></dxi-button>
    </dxi-column>

</dx-data-grid>

<dx-popup [(visible)]='isAgencyVisible' [minWidth]='ui.minWidthPopup' width='auto' maxWidth='90vw' (onShown)='ui.onPopupShown($event)'
    (onHidden)='ui.onPopupHidden($event)' height='auto' title='Agentie'>
    <div *dxTemplate="let data of 'content'">
        <dx-scroll-view [height]='ui.scrollHeight' width="auto" direction="both">
            <app-edit-agency [agencyData]='currentAgency'></app-edit-agency>
        </dx-scroll-view>
    </div>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: onSaveAgency, validationGroup:'agencyValidation' }">
    </dxi-toolbar-item>
</dx-popup>